Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cql3
Class Attributes

    java.lang.Object
      org.apache.cassandra.cql3.Attributes

    public class Attributes

extends java.lang.Object

Utility class for the Parser to gather attributes for modification statements.

Field Summary
`ConsistencyLevel` | `cLevel`
`java.lang.Long` | `timestamp`
`int` | `timeToLive`

Constructor Summary
`Attributes()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cLevel

    public ConsistencyLevel cLevel

### timestamp

    public java.lang.Long timestamp

### timeToLive

    public int timeToLive

Constructor Detail

### Attributes

    public Attributes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation